<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Robot Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classRobot.html">Robot</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#a4c8858bc161c836527fa919eae75c780">_axes</a></td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#a927240c8058a5bc527a81c6bd15a394a">_forceMeasurement</a></td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#ac7b0162b6bb68b07d8b622c7aa4aff55">_hardwareManager</a></td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#ae14c5e0f4233f5f5340ee8f3664ac364">_stateManager</a></td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820">BuildFromRecipe</a>(RobotRecipe recipe)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#ac115f5f04d44b46899a4424ed2157080">forceMeasurement</a>()</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#a6028803bde72460dd961a3099dd32485">GetPosition</a>(int axis, double &amp;positionMicrons)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#a392ec2a33753ff38d7d7ed38674a6ec1">Goto</a>(int axis, double positionMicrons)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#a62961cc17086e0b6a19b72ebf2409960">ParseRecipeFromIni</a>(const Parms &amp;robotRecipePar, RobotRecipe &amp;robotRecipe)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6">readParameters</a>(const Parms &amp;parms)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#a94a9bab97c26b85eb3d65f5cb62d9aa4">RegisterFields</a>()</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#a59fbafc2b301235f5736ba09b603d783">Robot</a>(Experiment &amp;experiment)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#a6fcc15958db68e9ae90e940306c43f33">SetAxisOption</a>(int axis, AxisOption option, double value)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67">stateManager</a>()</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#ad41d6baac65d38790ca5810b7f14a17a">UpdateAxisState</a>(int axis)</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classRobot.html#a47cbe36ecea5e52540b77264bc9b14a1">UpdateRobotState</a>()</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classRobot.html#a924320124b09c2f2ac1621aa210d5f38">~Robot</a>()</td><td class="entry"><a class="el" href="classRobot.html">Robot</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
